Accounts
Create account group
Create a group (max 50 per workspace, 100 accounts per group). Every account id must be a connected account of this workspace. Requires scope social:write.
POST
/
social
/
account-groups
Create account group
curl --request POST \
--url https://api.smartlyq.com/v1/social/account-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Acme Corp accounts",
"account_ids": [
12,
15,
18
]
}
'import requests
url = "https://api.smartlyq.com/v1/social/account-groups"
payload = {
"name": "Acme Corp accounts",
"account_ids": [12, 15, 18]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Acme Corp accounts', account_ids: [12, 15, 18]})
};
fetch('https://api.smartlyq.com/v1/social/account-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 128,
"name": "Acme Corp",
"account_ids": [
128
],
"created_at": "2026-07-26T09:41:22Z",
"updated_at": "2026-07-26T09:41:22Z"
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Missing or malformed Authorization header",
"details": {}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required fields: content, platforms.",
"details": {
"fields": [
"content",
"platforms"
]
}
},
"meta": {
"request_id": "req_9f3a2b1c-7d4e-4a08-b2c6-5e1f8a9d0c34",
"timestamp": "2026-07-26T09:41:22Z"
}
}Authorizations
API key from Developer dashboard (Bearer token).
Body
application/json
⌘I
Create account group

